diff --git a/crates/deltalake-core/src/storage/file.rs b/crates/deltalake-core/src/storage/file.rs
index c63a00d..2633fc8 100644
--- a/crates/deltalake-core/src/storage/file.rs
+++ b/crates/deltalake-core/src/storage/file.rs
@@ -287,7 +287,7 @@ mod imp {
         let to_path = String::from(to);
 
         tokio::task::spawn_blocking(move || {
-            std::fs::hard_link(&from_path, &to_path).map_err(|err| {
+            std::fs::rename(&from_path, &to_path).map_err(|err| {
                 if err.kind() == std::io::ErrorKind::AlreadyExists {
                     LocalFileSystemError::AlreadyExists {
                         path: to_path,
@@ -306,10 +306,10 @@ mod imp {
                 }
             })?;
 
-            std::fs::remove_file(from_path).map_err(|err| LocalFileSystemError::Generic {
-                store: STORE_NAME,
-                source: Box::new(err),
-            })?;
+            // std::fs::remove_file(from_path).map_err(|err| LocalFileSystemError::Generic {
+                // store: STORE_NAME,
+                // source: Box::new(err),
+            // })?;
 
             Ok(())
         })
